package com.ruoyi.orderPlan.domain;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.List;

/**
 * 车辆台账Excel
 */
public class VehicleLedgerExcel {

    private Long id;

    @Excel(name = "车牌号")
    private String carregNo;

    @Excel(name = "运单号")
    private String orderNo;

    @Excel(name = "接单日期")
    private String acceptDate;

    @Excel(name = "运输性质")
    private String billType;

    @Excel(name = "进口提单号")
    private String inMblno;

    @Excel(name = "提箱地点")
    private String loadAddr;

    @Excel(name = "卸货地点")
    private String mdLoadAddr;

    @Excel(name = "箱量")
    private Long cntrQty;

    @Excel(name = "箱形")
    private String cntrId;

    @Excel(name = "船名航次")
    private String boxVolume;

    @Excel(name = "出口提单号")
    private String outMblno;

    @Excel(name = "司机")
    private String driverName;

    @Excel(name = "费用名称")
    private String fleetId;

    @Excel(name = "应收运费")
    private BigDecimal shippingDr;

    @Excel(name = "应收其他")
    private BigDecimal otherDr;

    @Excel(name = "应付运费")
    private BigDecimal shippingCr;

    @Excel(name = "应付其他")
    private BigDecimal otherCr;

    @Excel(name = "利润")
    private BigDecimal profit;

    /**
     *  检索条件：结算单位
     */
    private Long tCorpId;

    /**
     *  检索条件：接单日期区间
     */
    private List<String> acceptDateList;

    /**
     *  检索条件：对账日期区间
     */
    private List<String> accchkDateList;

    /**
     *  检索条件：结算状态
     */
    private String stlStatus;

    /**
     *  检索条件：对账状态
     */
    private String accchkStatus;

    /**
     *  检索条件：开票状态
     */
    private String invStatus;

    /**
     *  检索条件：主运单号
     */
    private String mBillNo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCarregNo() {
        return carregNo;
    }

    public void setCarregNo(String carregNo) {
        this.carregNo = carregNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(String acceptDate) {
        this.acceptDate = acceptDate;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getInMblno() {
        return inMblno;
    }

    public void setInMblno(String inMblno) {
        this.inMblno = inMblno;
    }

    public String getLoadAddr() {
        return loadAddr;
    }

    public void setLoadAddr(String loadAddr) {
        this.loadAddr = loadAddr;
    }

    public String getMdLoadAddr() {
        return mdLoadAddr;
    }

    public void setMdLoadAddr(String mdLoadAddr) {
        this.mdLoadAddr = mdLoadAddr;
    }

    public Long getCntrQty() {
        return cntrQty;
    }

    public void setCntrQty(Long cntrQty) {
        this.cntrQty = cntrQty;
    }

    public String getCntrId() {
        return cntrId;
    }

    public void setCntrId(String cntrId) {
        this.cntrId = cntrId;
    }

    public String getBoxVolume() {
        return boxVolume;
    }

    public void setBoxVolume(String boxVolume) {
        this.boxVolume = boxVolume;
    }

    public String getOutMblno() {
        return outMblno;
    }

    public void setOutMblno(String outMblno) {
        this.outMblno = outMblno;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getFleetId() {
        return fleetId;
    }

    public void setFleetId(String fleetId) {
        this.fleetId = fleetId;
    }

    public BigDecimal getShippingDr() {
        return shippingDr;
    }

    public void setShippingDr(BigDecimal shippingDr) {
        this.shippingDr = shippingDr;
    }

    public BigDecimal getOtherDr() {
        return otherDr;
    }

    public void setOtherDr(BigDecimal otherDr) {
        this.otherDr = otherDr;
    }

    public BigDecimal getShippingCr() {
        return shippingCr;
    }

    public void setShippingCr(BigDecimal shippingCr) {
        this.shippingCr = shippingCr;
    }

    public BigDecimal getOtherCr() {
        return otherCr;
    }

    public void setOtherCr(BigDecimal otherCr) {
        this.otherCr = otherCr;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public Long gettCorpId() {
        return tCorpId;
    }

    public void settCorpId(Long tCorpId) {
        this.tCorpId = tCorpId;
    }

    public List<String> getAcceptDateList() {
        return acceptDateList;
    }

    public void setAcceptDateList(List<String> acceptDateList) {
        this.acceptDateList = acceptDateList;
    }

    public List<String> getAccchkDateList() {
        return accchkDateList;
    }

    public void setAccchkDateList(List<String> accchkDateList) {
        this.accchkDateList = accchkDateList;
    }

    public String getStlStatus() {
        return stlStatus;
    }

    public void setStlStatus(String stlStatus) {
        this.stlStatus = stlStatus;
    }

    public String getAccchkStatus() {
        return accchkStatus;
    }

    public void setAccchkStatus(String accchkStatus) {
        this.accchkStatus = accchkStatus;
    }

    public String getInvStatus() {
        return invStatus;
    }

    public void setInvStatus(String invStatus) {
        this.invStatus = invStatus;
    }

    public String getmBillNo() {
        return mBillNo;
    }

    public void setmBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    @Override
    public String toString() {
        return "VehicleLedgerExcel{" +
                "id=" + id +
                ", carregNo='" + carregNo + '\'' +
                ", orderNo='" + orderNo + '\'' +
                ", acceptDate='" + acceptDate + '\'' +
                ", billType='" + billType + '\'' +
                ", inMblno='" + inMblno + '\'' +
                ", loadAddr='" + loadAddr + '\'' +
                ", mdLoadAddr='" + mdLoadAddr + '\'' +
                ", cntrQty=" + cntrQty +
                ", cntrId='" + cntrId + '\'' +
                ", boxVolume='" + boxVolume + '\'' +
                ", outMblno='" + outMblno + '\'' +
                ", driverName='" + driverName + '\'' +
                ", fleetId='" + fleetId + '\'' +
                ", shippingDr=" + shippingDr +
                ", otherDr=" + otherDr +
                ", shippingCr=" + shippingCr +
                ", otherCr=" + otherCr +
                ", profit=" + profit +
                ", tCorpId=" + tCorpId +
                ", acceptDateList=" + acceptDateList +
                ", accchkDateList=" + accchkDateList +
                ", stlStatus='" + stlStatus + '\'' +
                ", accchkStatus='" + accchkStatus + '\'' +
                ", invStatus='" + invStatus + '\'' +
                '}';
    }
}
